org.apache.flume.channel.jdbc

## Enum DatabaseType

- java.lang.Object
- - java.lang.Enum<DatabaseType>
  - - org.apache.flume.channel.jdbc.DatabaseType

- All Implemented Interfaces:
    Serializable, Comparable<DatabaseType>

      public enum DatabaseType
      extends Enum<DatabaseType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DERBY` Apache Derby
    `MYSQL` MySQL
    `ORACLE` Oracle
    `OTHER` All other databases
    `POSTGRESQL` PostgreSQL

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DatabaseType` | `getByName(String dbName)`
    `String` | `getName()`
    `String` | `getValidationQuery()`
    `String` | `toString()`
    `static DatabaseType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DatabaseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final DatabaseType OTHER

      All other databases

    - #### DERBY

          public static final DatabaseType DERBY

      Apache Derby

    - #### MYSQL

          public static final DatabaseType MYSQL

      MySQL

    - #### POSTGRESQL

          public static final DatabaseType POSTGRESQL

      PostgreSQL

    - #### ORACLE

          public static final DatabaseType ORACLE

      Oracle

  - ### Method Detail

    - #### values

          public static DatabaseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatabaseType c : DatabaseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DatabaseType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<DatabaseType>`

    - #### getName

          public String getName()

    - #### getValidationQuery

          public String getValidationQuery()

    - #### getByName

          public static DatabaseType getByName(String dbName)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.